OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
CargoReroute< Tlist > Class Template Reference

Action of rerouting cargo between different cargo lists and/or next hops. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReroute< Tlist >:

## Public Member Functions
| CargoReroute (Tlist *source, Tlist *dest, uint max_move, StationID avoid, StationID avoid2, const GoodsEntry *ge)
Public Member Functions inherited from CargoMovement< Tlist, Tlist >
| CargoMovement (Tlist *source, Tlist *destination, uint max_move)
uint | MaxMove ()
| Returns how much more cargo can be moved with this action.

## Protected Attributes
StationID | avoid
StationID | avoid2
const GoodsEntry * | ge
Protected Attributes inherited from CargoMovement< Tlist, Tlist >
Tlist * | source
| Source of the cargo.
Tlist * | destination
| Destination for the cargo.
uint | max_move
| Maximum amount of cargo to be moved with this action.

## Additional Inherited Members
Protected Member Functions inherited from CargoMovement< Tlist, Tlist >
CargoPacket * | Preprocess (CargoPacket *cp)

## Detailed Description

### template<class Tlist>
class CargoReroute< Tlist >

Action of rerouting cargo between different cargo lists and/or next hops.

Definition at line 117 of file cargoaction.h.

The documentation for this class was generated from the following file:

- src/cargoaction.h